[HP 14 Notebook PC] mute LED does not work

Bug #1410704 reported by Taihsiang Ho
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
HWE Next
Medium
Hui Wang
linux (Ubuntu)
Medium
Hui Wang
Trusty
Undecided
Unassigned
Utopic
Undecided
Unassigned

Bug Description

[HP 14 Notebook PC]
CID: 201406-15267
updated 14.04.1
3.13.0-44-generic #73

Steps to reproduce the bug:
1. install 14.04.1 via live usb.
2. use dash->updater to update the system. Reboot.
3. get into the desktop. the system is ready to use.
4. press the mute function key (F6)

Expected result:
the sound is muted and the mute LED is on.

Actual result:
The sound is muted but the mute LED has no response.

-----------
More information:

sudo hda-verb /dev/snd/hwC1D0 0x18 SET_PIN_WIDGET_CONTROL 0x20
could turn off the mic mute LED

sudo hda-verb /dev/snd/hwC1D0 0x18 SET_PIN_WIDGET_CONTROL 0x24
could turn on the mic mute LED

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: linux-image-3.13.0-44-generic 3.13.0-44.73
ProcVersionSignature: Ubuntu 3.13.0-44.73-generic 3.13.11-ckt12
Uname: Linux 3.13.0-44-generic x86_64
ApportVersion: 2.14.1-0ubuntu3.6
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: ubuntu 1535 F.... pulseaudio
 /dev/snd/controlC0: ubuntu 1535 F.... pulseaudio
CurrentDesktop: Unity
CurrentDmesg:

Date: Wed Jan 14 04:03:24 2015
HibernationDevice: RESUME=UUID=b62dee62-f5c4-4d1f-abdd-4a3921a5d529
InstallationDate: Installed on 2015-01-14 (0 days ago)
InstallationMedia: Ubuntu 14.04.1 LTS "Trusty Tahr" - Release amd64 (20140722.2)
MachineType: Hewlett-Packard Compaq 14 Notebook PC
ProcFB: 0 radeondrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-44-generic.efi.signed root=UUID=a0aa08bf-76cf-4f76-b12e-150f6fc7a5e2 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.13.0-44-generic N/A
 linux-backports-modules-3.13.0-44-generic N/A
 linux-firmware 1.127.11
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 07/02/2014
dmi.bios.vendor: Insyde
dmi.bios.version: B.27
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: 21F9
dmi.board.vendor: Hewlett-Packard
dmi.board.version: 52.26
dmi.chassis.asset.tag: Chassis Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnInsyde:bvrB.27:bd07/02/2014:svnHewlett-Packard:pnCompaq14NotebookPC:pvr098C110000000E10000030000:rvnHewlett-Packard:rn21F9:rvr52.26:cvnHewlett-Packard:ct10:cvrChassisVersion:
dmi.product.name: Compaq 14 Notebook PC
dmi.product.version: 098C110000000E10000030000
dmi.sys.vendor: Hewlett-Packard

CVE References

Revision history for this message
Taihsiang Ho (taihsiangho) wrote :
Revision history for this message
Taihsiang Ho (taihsiangho) wrote :

3.19.0-031900rc4-generic #201501112135
was tested, and this bug could be reproduced.

tags: added: kernel-bug-exists-upstream
Revision history for this message
Brad Figg (brad-figg) wrote : Status changed to Confirmed

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Daniel Manrique (roadmr)
Changed in linux (Ubuntu):
importance: Undecided → Medium
Changed in linux (Ubuntu):
assignee: nobody → Hui Wang (hui.wang)
Revision history for this message
Hui Wang (hui.wang) wrote :

Please test if this dkms can fix the problem.

in this dkms, add:
 SND_PCI_QUIRK(0x103c, 0x21f9, "HP", ALC269_FIXUP_HP_MUTE_LED_MIC1),

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Changed in hwe-next:
status: New → Incomplete
importance: Undecided → Medium
assignee: nobody → Hui Wang (hui.wang)
Revision history for this message
Taihsiang Ho (taihsiangho) wrote :

I will test the dkms of comment 4 and update it today.

Revision history for this message
Taihsiang Ho (taihsiangho) wrote :

dkms of the comment 4 could fix this bug on the machine 201406-15267

ubuntu@201406-15267:~$ uname -a
Linux 201406-15267 3.13.0-44-generic #73-Ubuntu SMP Tue Dec 16 00:22:43 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

ubuntu@201406-15267:~$ dpkg -l oem-audio-hda-daily-dkms
ii oem-audio-hda-daily-dkms 0.1 all oem-audio-hda-daily driver in DKMS format.

Changed in hwe-next:
status: Incomplete → Confirmed
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Revision history for this message
Hui Wang (hui.wang) wrote :

sent the fix to the upstream to review.

Revision history for this message
Hui Wang (hui.wang) wrote :

The patch was merged by linux-sound repository.

commit 7976eb49cbd138d8014fa02682d8f969ad1e9ff2
Author: Hui Wang <email address hidden>
Date: Fri Feb 13 11:14:41 2015 +0800

    ALSA: hda - enable mute led quirk for one more hp machine.

    Otherwise, the mute led can't work at all.

    Tested-by: Taihsiang Ho <email address hidden>
    Cc: <email address hidden>
    BugLink: https://bugs.launchpad.net/bugs/1410704
    Signed-off-by: Hui Wang <email address hidden>
    Signed-off-by: Takashi Iwai <email address hidden>

Brad Figg (brad-figg)
Changed in linux (Ubuntu Utopic):
status: New → Fix Committed
Changed in linux (Ubuntu Trusty):
status: New → Fix Committed
Hui Wang (hui.wang)
Changed in linux (Ubuntu):
status: Confirmed → Fix Committed
Changed in hwe-next:
status: Confirmed → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.19.0-8.8

---------------
linux (3.19.0-8.8) vivid; urgency=low

  [ Andy Whitcroft ]

  * ubuntu: vbox -- elide the new symlinks and reconstruct on clean:
    - LP: #1426113
  * rebase to stable v3.19.1

  [ John Johansen ]

  * SAUCE: (no-up): apparmor: fix mediation of fs unix sockets
    - LP: #1408833

  [ Leann Ogasawara ]

  * Release Tracking Bug
    - LP: #1429940

  [ Upstream Kernel Changes ]

  * xen: correct bug in p2m list initialization
  * net/mlx5_core: Fix configuration of log_uar_page_sz
    - LP: #1419938
  * tpm/ibmvtpm: Additional LE support for tpm_ibmvtpm_send
    - LP: #1420575
  * net/mlx4_core: Maintain a persistent memory for mlx4 device
    - LP: #1422481
  * net/mlx4_core: Set device configuration data to be persistent across
    reset
    - LP: #1422481
  * net/mlx4_core: Refactor the catas flow to work per device
    - LP: #1422481
  * net/mlx4_core: Enhance the catas flow to support device reset
    - LP: #1422481
  * net/mlx4_core: Activate reset flow upon fatal command cases
    - LP: #1422481
  * net/mlx4_core: Manage interface state for Reset flow cases
    - LP: #1422481
  * net/mlx4_core: Handle AER flow properly
    - LP: #1422481
  * net/mlx4_core: Enable device recovery flow with SRIOV
    - LP: #1422481
  * net/mlx4_core: Reset flow activation upon SRIOV fatal command cases
    - LP: #1422481
  * tg3: Hold tp->lock before calling tg3_halt() from tg3_init_one()
    - LP: #1428111
  * rebase to v3.19.1
    - LP: #1410704
    - LP: #1411193
    - LP: #1400215
 -- Leann Ogasawara <email address hidden> Mon, 09 Mar 2015 10:08:29 -0700

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Hui Wang (hui.wang)
Changed in hwe-next:
status: Fix Committed → Fix Released
Revision history for this message
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-trusty' to 'verification-done-trusty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-trusty
tags: added: verification-needed-utopic
Revision history for this message
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-utopic' to 'verification-done-utopic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

Hui Wang (hui.wang)
tags: added: verification-done-trusty
removed: verification-needed-trusty
tags: added: verification-done-utopic
removed: verification-needed-utopic
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (8.9 KiB)

This bug was fixed in the package linux - 3.13.0-48.80

---------------
linux (3.13.0-48.80) trusty; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1431263
  * Merged back all changes that were in Ubuntu-3.13.0-47.78

  [ Upstream Kernel Changes ]

  * xfs: remote attribute overwrite causes transaction overrun
    - LP: #1429821
    - CVE-2015-0274

linux (3.13.0-47.78) trusty; urgency=low

  [ Seth Forshee ]

  * Release Tracking Bug
    - LP: #1427733

  [ Rodrigo Vivi ]

  * SAUCE: drm/i915: Fix and clean BDW PCH identification
    - LP: #1423292
  * SAUCE: drm/i915: BDW Fix Halo PCI IDs marked as ULT.
    - LP: #1423292

  [ Upstream Kernel Changes ]

  * ext4: prevent bugon on race between write/fcntl
  * Bluetooth: ath3k: workaround the compatibility issue with xHCI
    controller
    - LP: #1400215
  * openvswitch: Silence RCU lockdep checks from flow lookup.
    - LP: #1408972
  * openvswitch: Use exact lookup for flow_get and flow_del.
    - LP: #1408972
  * splice: Apply generic position and size checks to each write
    - LP: #1416498
    - CVE-2014-7822
  * ALSA: hda - enable mute led quirk for one more hp machine.
    - LP: #1410704
  * crypto: prefix module autoloading with "crypto-"
    - LP: #1427438
  * crypto: add missing crypto module aliases
    - LP: #1427438
  * crypto: include crypto- module prefix in template
    - LP: #1427438
  * crypto: crc32c - add missing crypto module alias
    - LP: #1427438
  * drm/i915: Invalidate media caches on gen7
    - LP: #1427438
  * drm/i915: Force the CS stall for invalidate flushes
    - LP: #1427438
  * audit: restore AUDIT_LOGINUID unset ABI
    - LP: #1427438
  * parisc: fix out-of-register compiler error in ldcw inline assembler
    function
    - LP: #1427438
  * kvm: x86: drop severity of "generation wraparound" message
    - LP: #1427438
  * udf: Verify i_size when loading inode
    - LP: #1427438
  * udf: Verify symlink size before loading it
    - LP: #1427438
  * udf: Check path length when reading symlink
    - LP: #1427438
  * udf: Check component length before reading it
    - LP: #1427438
  * crypto: af_alg - fix backlog handling
    - LP: #1427438
  * ASoC: dwc: Ensure FIFOs are flushed to prevent channel swap
    - LP: #1427438
  * video/logo: prevent use of logos after they have been freed
    - LP: #1427438
  * video/fbdev: fix defio's fsync
    - LP: #1427438
  * Add USB_EHCI_EXYNOS to multi_v7_defconfig
    - LP: #1427438
  * drm/i915: Swap primary planes on gen2 for FBC
    - LP: #1427438
  * drm/i915: Don't swap planes on 830M
    - LP: #1427438
  * drm/i915: Don't call intel_prepare_page_flip() multiple times on gen2-4
    - LP: #1427438
  * x86, vdso: Use asm volatile in __getcpu
    - LP: #1427438
  * drivers: net: cpsw: enable interrupts after napi enable and clearing
    previous interrupts
    - LP: #1427438
  * net: ethernet: cpsw: fix hangs with interrupts
    - LP: #1427438
  * ALSA: hda - Fix wrong gpio_dir & gpio_mask hint setups for IDT/STAC
    codecs
    - LP: #1427438
  * drm/radeon: KV has three PPLLs (v2)
    - LP: #1427438
  * drm/radeon: properly filter DP1.2 4k modes on non-DP1.2 hw
    - LP: #1427438
  * virtio_pci: d...

Read more...

Changed in linux (Ubuntu Trusty):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (15.0 KiB)

This bug was fixed in the package linux - 3.16.0-33.44

---------------
linux (3.16.0-33.44) utopic; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1431304
  * Merged back all changes that were in Ubuntu-3.16.0-32.42

linux (3.16.0-32.42) utopic; urgency=low

  [ Seth Forshee ]

  * Release Tracking Bug
    - LP: #1427808

  [ Chris J Arges ]

  * [Config] ppc64el CONFIG_I2C_OPAL=m
    - LP: #1419151

  [ Upstream Kernel Changes ]

  * i2c: Driver to expose PowerNV platform i2c busses
    - LP: #1419151
  * Bluetooth: ath3k: workaround the compatibility issue with xHCI
    controller
    - LP: #1400215
  * ALSA: hda - enable mute led quirk for one more hp machine.
    - LP: #1410704
  * ipvs: uninitialized data with IP_VS_IPV6
    - LP: #1427767
  * netfilter: nfnetlink: validate nfnetlink header from batch
    - LP: #1427767
  * clocksource: exynos_mct: Fix bitmask regression for exynos4_mct_write
    - LP: #1427767
  * time: settimeofday: Validate the values of tv from user
    - LP: #1427767
  * Input: i8042 - reset keyboard to fix Elantech touchpad detection
    - LP: #1427767
  * drm/radeon: fix VM flush on cayman/aruba (v3)
    - LP: #1427767
  * drm/radeon: fix VM flush on SI (v3)
    - LP: #1427767
  * drm/radeon: fix VM flush on CIK (v3)
    - LP: #1427767
  * drm/radeon: add a dpm quirk list
    - LP: #1427767
  * Input: elantech - support new ICs types for version 4
    - LP: #1427767
  * Input: I8042 - add Acer Aspire 7738 to the nomux list
    - LP: #1427767
  * drm/i915: Ban Haswell from using RCS flips
    - LP: #1427767
  * drm/i915: Fix mutex->owner inspection race under DEBUG_MUTEXES
    - LP: #1427767
  * drm/radeon: add si dpm quirk list
    - LP: #1427767
  * pinctrl: Fix two deadlocks
    - LP: #1427767
  * gpio: fix memory and reference leaks in gpiochip_add error path
    - LP: #1427767
  * gpio: fix memory leak and sleep-while-atomic
    - LP: #1427767
  * gpio: fix sleep-while-atomic in gpiochip_remove
    - LP: #1427767
  * can: dev: fix crtlmode_supported check
    - LP: #1427767
  * can: kvaser_usb: Don't free packets when tight on URBs
    - LP: #1427767
  * can: kvaser_usb: Reset all URB tx contexts upon channel close
    - LP: #1427767
  * can: kvaser_usb: Don't send a RESET_CHIP for non-existing channels
    - LP: #1427767
  * drm/radeon: use rv515_ring_start on r5xx
    - LP: #1427767
  * gpio: sysfs: fix gpio-chip device-attribute leak
    - LP: #1427767
  * gpio: sysfs: fix gpio device-attribute leak
    - LP: #1427767
  * gpiolib: of: Correct error handling in of_get_named_gpiod_flags
    - LP: #1427767
  * PCI: Add flag for devices where we can't use bus reset
    - LP: #1427767
  * PCI: Mark Atheros AR93xx to avoid bus reset
    - LP: #1427767
  * PCI: Pass bridge device, not bus, when updating bridge windows
    - LP: #1427767
  * PCI: Add pci_bus_clip_resource() to clip to fit upstream window
    - LP: #1427767
  * PCI: Add pci_claim_bridge_resource() to clip window if necessary
    - LP: #1427767
  * x86/PCI: Clip bridge windows to fit in upstream windows
    - LP: #1427767
  * workqueue: fix subtle pool management issue which can stall whole
    worker_pool
    - LP: #1427767
...

Changed in linux (Ubuntu Utopic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers